slaqr1.f(3)

NAME
slaqr1.f

SYNOPSIS

  Functions/Subroutines
subroutine slaqr1 (N, H, LDH, SR1, SI1, SR2, SI2, V)
SLAQR1 sets a scalar multiple of the first column of the product of 2-by-2 or 3-by-3 matrix H and specified shifts.

Function/Subroutine Documentation

  subroutine slaqr1 (integer N, real, dimension( ldh, * ) H, integer LDH, real SR1, real SI1, real SR2, real SI2, real, dimension( * ) V)

Purpose:

          Given a 2-by-2 or 3-by-3 matrix H, SLAQR1 sets v to a
          scalar multiple of the first column of the product
          (*)  K = (H - (sr1 + i*si1)*I)*(H - (sr2 + i*si2)*I)
          scaling to avoid overflows and most underflows. It
          is assumed that either
                  1) sr1 = sr2 and si1 = -si2
              or
                  2) si1 = si2 = 0.
          This is useful for starting double implicit shift bulges
          in the QR algorithm.

Parameters
    N

              N is INTEGER
                  Order of the matrix H. N must be either 2 or 3.

    H

              H is REAL array, dimension (LDH,N)
                  The 2-by-2 or 3-by-3 matrix H in (*).

    LDH

              LDH is INTEGER
                  The leading dimension of H as declared in
                  the calling procedure.  LDH >= N

    SR1

              SR1 is REAL

    SI1

              SI1 is REAL

    SR2

              SR2 is REAL

    SI2

              SI2 is REAL
                  The shifts in (*).

    V

              V is REAL array, dimension (N)
                  A scalar multiple of the first column of the
                  matrix K in (*).

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Contributors:
    Karen Braman and Ralph Byers, Department of Mathematics, University of Kansas, USA

Definition at line 120 of file slaqr1.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.